Bug 155076 - RAW Conversion UI Needs to be more generic
Summary: RAW Conversion UI Needs to be more generic
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: ImageEditor-RawImport (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-04 14:10 UTC by Paul Waldo
Modified: 2017-07-31 15:45 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.9.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Waldo 2008-01-04 14:10:54 UTC
Version:           0.9.2-final (using KDE 3.5.8, Kubuntu (gutsy) 4:3.5.8-0ubuntu3.1)
Compiler:          Target: x86_64-linux-gnu
OS:                Linux (x86_64) release 2.6.22-14-xen

The current RAW conversion is nice, and strikes a good balance between ease of use and technical capability.  For many photos this is fine, but some are so problematic that I have to bring out the "big guns" (UFRaw).  It would be nice to be able to tell digikam I want to edit a file, but use UFraw for the conversion.

To accomplish this, I see a number of design items:
- Ability to configure specific, known converters, such as UFRaw.  Maybe later it would also allow a generic converter, specified as simply an executable.
- Ability to choose when and how a converter is used: always use converter X, ask me which to use, maybe have additional buttons that edit with specific converters
- Once image is converted, it is displayed in standard Edit window

Thanks for your consideration!
Comment 1 caulier.gilles 2008-08-05 14:51:56 UTC
SVN commit 842507 by cgilles:

digiKam from KDE3 branch : new tool to import RAW file in editor 
There are 2 way to handle RAW file in editor :

1/ using auto-gamma. User let's digiKam import RAW image using default RAW decoding setting from config panel. An Autogamma is applied to image.
This option is used by default when you open image in editor. Toi change it, go to Image editor config panel and set on "Use Raw Import tool" option.
2/ using Raw Import tool. In this way a dialog with all RAW decoding settings and a preview of decoded image is displayed. 
Histogram is available, and panning/zomming over the preview is possible.

Note: this Raw import tool is also available with Showfoto of course...

A preview of tool in action can be see on digiKam-labs flickr photo pool: 

http://farm4.static.flickr.com/3097/2735517982_598f1e30c3_o.png

TODO : * included all Color management settings relevant of RAW decoding. display this settings if digiKam Color Management is on.
       * added a gamma adjustement with RAW decoding.
       * removed Tools/RAW Converter (single) option provided by RAW converter kipi-plugin which become obsolete here 
       (Batch RAW converter will still available). Remplace this option by a link to Raw Import tool directly.
       
BUG: 142975
BUG: 150457
BUG: 155074
BUG: 155076




 M  +1 -1      imageeditor/canvas/Makefile.am  
 M  +16 -3     imageeditor/canvas/dimginterface.cpp  
 M  +4 -0      imageeditor/canvas/iofilesettingscontainer.h  
 M  +4 -2      imageeditor/editor/Makefile.am  
 M  +2 -0      imageeditor/editor/editorwindow.cpp  
 M  +56 -70    imageeditor/rawimport/rawimportdlg.cpp  
 M  +2 -1      imageeditor/rawimport/rawimportdlg.h  
 M  +23 -15    setup/setupeditor.cpp  
 M  +1 -1      setup/setupeditor.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=842507